pcl::filters::ConvolvingKernel< PointInT, PointOutT > Class Template Referenceabstract
Module filters

Class ConvolvingKernel base class for all convolving kernels. More...

`#include <pcl/filters/convolution_3d.h>`

Inheritance diagram for pcl::filters::ConvolvingKernel< PointInT, PointOutT >:

## Public Types

using | Ptr = shared_ptr< ConvolvingKernel< PointInT, PointOutT > >
using | ConstPtr = shared_ptr< const ConvolvingKernel< PointInT, PointOutT > >
using | PointCloudInConstPtr = typename PointCloud< PointInT >::ConstPtr

## Public Member Functions

| ConvolvingKernel ()
| empty constructor More...
virtual | ~ConvolvingKernel ()
| empty destructor More...
void | setInputCloud (const PointCloudInConstPtr &input)
| Set input cloud. More...
virtual PointOutT | operator() (const std::vector< int > &indices, const std::vector< float > &distances)=0
| Convolve point at the center of this local information. More...
virtual bool | initCompute ()
| Must call this method before doing any computation. More...

## Static Public Member Functions

static void | makeInfinite (PointOutT &p)
| Utility function that annihilates a point making it fail the pcl::isFinite test. More...

## Protected Attributes

PointCloudInConstPtr | input_
| source cloud More...

## Detailed Description

### template<typename PointInT, typename PointOutT>
class pcl::filters::ConvolvingKernel< PointInT, PointOutT >

Class ConvolvingKernel base class for all convolving kernels.

Definition at line 54 of file convolution_3d.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointInT , typename PointOutT >

using pcl::filters::ConvolvingKernel< PointInT, PointOutT >::ConstPtr = shared_ptr<const ConvolvingKernel<PointInT, PointOutT> >

Definition at line 58 of file convolution_3d.h.

## PointCloudInConstPtr

template<typename PointInT , typename PointOutT >

using pcl::filters::ConvolvingKernel< PointInT, PointOutT >::PointCloudInConstPtr = typename PointCloud<PointInT>::ConstPtr

Definition at line 60 of file convolution_3d.h.

## Ptr

template<typename PointInT , typename PointOutT >

using pcl::filters::ConvolvingKernel< PointInT, PointOutT >::Ptr = shared_ptr<ConvolvingKernel<PointInT, PointOutT> >

Definition at line 57 of file convolution_3d.h.

## Constructor & Destructor Documentation

## ConvolvingKernel()

template<typename PointInT , typename PointOutT >

pcl::filters::ConvolvingKernel< PointInT, PointOutT >::ConvolvingKernel | ( |  | ) |

inline

empty constructor

Definition at line 63 of file convolution_3d.h.

## ~ConvolvingKernel()

template<typename PointInT , typename PointOutT >

virtual pcl::filters::ConvolvingKernel< PointInT, PointOutT >::~ConvolvingKernel | ( |  | ) |

inline virtual

empty destructor

Definition at line 66 of file convolution_3d.h.

## Member Function Documentation

## initCompute()

template<typename PointInT , typename PointOutT >

virtual bool pcl::filters::ConvolvingKernel< PointInT, PointOutT >::initCompute | ( |  | ) |

inline virtual

Must call this method before doing any computation.

Note
  make sure to override this with at least
  bool initCompute ()
  {
  return (true);
  }
  in your kernel interface, else you are going nowhere!

Reimplemented in pcl::filters::GaussianKernel< PointInT, PointOutT >.

Definition at line 93 of file convolution_3d.h.

## makeInfinite()

template<typename PointInT , typename PointOutT >

static void pcl::filters::ConvolvingKernel< PointInT, PointOutT >::makeInfinite | ( | PointOutT & | p | ) |

inline static

Utility function that annihilates a point making it fail the pcl::isFinite test.

Parameters

  p | point to annihilate

Definition at line 99 of file convolution_3d.h.

## operator()()

template<typename PointInT , typename PointOutT >

virtual PointOutT pcl::filters::ConvolvingKernel< PointInT, PointOutT >::operator() | ( | const std::vector< int > & | indices,
|  | const std::vector< float > & | distances
| ) |  |

pure virtual

Convolve point at the center of this local information.

Parameters

  [in] | indices | indices of the point in the source point cloud
  [in] | distances | euclidean distance squared from the query point

Returns
  the convolved point

Implemented in pcl::filters::GaussianKernelRGB< PointInT, PointOutT >, and pcl::filters::GaussianKernel< PointInT, PointOutT >.

## setInputCloud()

template<typename PointInT , typename PointOutT >

void pcl::filters::ConvolvingKernel< PointInT, PointOutT >::setInputCloud | ( | const PointCloudInConstPtr & | input | ) |

inline

Set input cloud.

Parameters

  [in] | input | source point cloud

Definition at line 72 of file convolution_3d.h.

References pcl::filters::ConvolvingKernel< PointInT, PointOutT >::input_.

## Member Data Documentation

## input_

template<typename PointInT , typename PointOutT >

PointCloudInConstPtr pcl::filters::ConvolvingKernel< PointInT, PointOutT >::input_

protected

source cloud

Definition at line 106 of file convolution_3d.h.

Referenced by pcl::filters::ConvolvingKernel< PointInT, PointOutT >::setInputCloud().

The documentation for this class was generated from the following file:

- pcl/filters/convolution_3d.h

pcl::filters::ConvolvingKernel::initCompute
virtual bool initCompute()
Must call this method before doing any computation.
Definition: convolution_3d.h:93